<?php
/**
 * Plugin cinotif
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/cinotif_commun');


function exec_cinotif_mesabonnements(){

	if (isset($GLOBALS['visiteur_session']['id_auteur']) && $GLOBALS['visiteur_session']['id_auteur'])
		$id_auteur = $GLOBALS['visiteur_session']['id_auteur'];
	else
		$id_auteur = 0;
	
	
	if (!$id_auteur) {
		include_spip('inc/minipres');
		echo minipres();
	} else {
	
		$commencer_page = charger_fonction('commencer_page', 'inc');
		echo $commencer_page(_T('cinotif:mesabonnements'), "configuration", "configuration");
		
		
		echo debut_gauche('', true);
		
		echo creer_colonne_droite('', true);
		echo debut_droite('', true);
		
		echo '<style type="text/css"><!-- #contenu a {color: #000000;} --></style>';
		echo gros_titre(_T('cinotif:mesabonnements'),'', false);
		echo "<br /><br />";
		
		echo debut_cadre_relief('',true,'',_T('cinotif:mesabonnements'));
		
		
		echo recuperer_fond("prive/objets/liste/cinotif_mesabonnements");
		
		echo fin_cadre_relief(true);
		
		
		echo  "<br />\n";
		
		echo fin_gauche(), fin_page();
	}
}

?>